<?php

namespace Database\Factories;

use App\Models\EventType;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class EventTypeFactory extends Factory
{
    protected $model = EventType::class;

    public function definition(): array
    {
        $name = ucfirst($this->faker->unique()->words(2, true));
        $slug = Str::slug($name);

        return [
            'name' => [
                'de' => $name,
                'en' => $name,
            ],
            'slug' => $slug,
            'icon' => $this->faker->randomElement(['party', 'camera', 'users', null]),
            'settings' => [
                'color' => $this->faker->hexColor(),
            ],
        ];
    }
}

